This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 539251 - [abrt] crash detected in system-config-users-1.2.94-1.fc12
[abrt] crash detected in system-config-users-1.2.94-1.fc12
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-users (Show other bugs)
12
i686 Linux
high Severity high
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
abrt_hash:40c080ec
:
Depends On:
Blocks: 596300 627247
  Show dependency treegraph
 
Reported: 2009-11-19 13:18 EST by Przemysław Kochański
Modified: 2010-08-25 09:15 EDT (History)
2 users (show)

See Also:
Fixed In Version: system-config-users-1.2.98-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 596300 627247 (view as bug list)
Environment:
Last Closed: 2010-06-03 14:14:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (1.55 KB, text/plain)
2009-11-19 13:18 EST, Przemysław Kochański
no flags Details

  None (edit)
Description Przemysław Kochański 2009-11-19 13:18:51 EST
abrt detected a crash.

Comment: I pressed "delete user" (or "remove user"? have Polish version) at Users and Groups. When I pressed "No" or x (close button) nothing happened. I force closed it.
Attached file: backtrace
cmdline: /usr/bin/python2 /usr/share/system-config-users/system-config-users.py 
component: system-config-users
executable: /usr/share/system-config-users/system-config-users.py
kernel: 2.6.31.5-127.fc12.i686
package: system-config-users-1.2.94-1.fc12
uuid: 40c080ec
Comment 1 Przemysław Kochański 2009-11-19 13:18:53 EST
Created attachment 372305 [details]
File: backtrace
Comment 2 Przemysław Kochański 2009-11-19 13:25:18 EST
Oh no! I just discovered ALL my configuration files was DELETED!!! I'm 100% sure I never pressed OK! All my themes, firefox bookmarks and other settings are now lost! (If i would delete user, I could not log in, right? I till use the same login and have the same password!)

THAT WAS CRITICAL FOR USER DATA! Good that I have Fedora for few days, I'm scared what would happened if I used it for a long time.
Comment 3 Nils Philippsen 2010-05-26 10:07:14 EDT
Sorry for taking so long to look into this (was busy with other stuff :-/). I've just checked the code and it deleted the account if the user did anything else other than clicking "No" (or "Nie" in your case)... Very nasty error, my apologies.

I've fixed this in the upstream git repository and will issue an update shortly.
Comment 4 Nils Philippsen 2010-05-26 10:32:07 EDT
Actually this BZ is two issues rolled into one:

- the traceback (which is annoying, but not so harmful)
- the erroneous removal of a user (or group)

The first one is not really fixable in this instance as the tool tries to remove a mountpoint which is bound to fail somehow. I've cleaned up the code around file deletion a bit though. Again, expect an update shortly.
Comment 5 Fedora Update System 2010-05-26 11:10:47 EDT
system-config-users-1.2.98-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/system-config-users-1.2.98-1.fc12
Comment 6 Fedora Update System 2010-05-26 11:10:50 EDT
system-config-users-1.2.98-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/system-config-users-1.2.98-1.fc13
Comment 7 Fedora Update System 2010-05-27 14:34:22 EDT
system-config-users-1.2.98-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-users'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/system-config-users-1.2.98-1.fc12
Comment 8 Fedora Update System 2010-06-03 14:12:51 EDT
system-config-users-1.2.98-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-06-03 14:13:54 EDT
system-config-users-1.2.98-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.